package com.yc.ship.module.ota.service.distributortype;


import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.ota.controller.admin.distributortype.vo.DistributorTypePageReqVO;
import com.yc.ship.module.ota.controller.admin.distributortype.vo.DistributorTypeSaveReqVO;
import com.yc.ship.module.ota.dal.dataobject.distributortype.DistributorTypeDO;

import javax.validation.Valid;
import java.util.List;
import java.util.Map;

/**
 * 分销商类型 Service 接口
 *
 * @author 管理员
 */
public interface DistributorTypeService {

    /**
     * 创建分销商类型
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDistributorType(@Valid DistributorTypeSaveReqVO createReqVO);

    /**
     * 更新分销商类型
     *
     * @param updateReqVO 更新信息
     */
    void updateDistributorType(@Valid DistributorTypeSaveReqVO updateReqVO);

    void updateStatus(Long id, Integer status);

    /**
     * 删除分销商类型
     *
     * @param id 编号
     */
    void deleteDistributorType(Long id);

    /**
     * 获得分销商类型
     *
     * @param id 编号
     * @return 分销商类型
     */
    DistributorTypeDO getDistributorType(Long id);

    /**
     * 获得分销商类型分页
     *
     * @param pageReqVO 分页查询
     * @return 分销商类型分页
     */
    PageResult<DistributorTypeDO> getDistributorTypePage(DistributorTypePageReqVO pageReqVO);

    List<Map> getSimpleList();
}